> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Addresses

> Retrieve (or generate a new) deposit addresses for a particular asset and method.

**API Key Permissions Required:** `Funds permissions - Query`




## OpenAPI

````yaml /openapi/spot-rest.yaml post /private/DepositAddresses
openapi: 3.0.0
info:
  title: REST API
  version: 1.1.0
  description: ''
servers:
  - url: https://api.kraken.com/0
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
tags:
  - name: Market Data
  - name: Account Data
  - name: Trading
  - name: Funding
  - name: Subaccounts
    description: >-
      Subaccounts are currently only available to institutional clients. Please
      contact your Account Manager for more details.
  - name: Earn
    description: >
      The earn API allows interacting with all of Kraken's yield generating
      products. It replaces the old `/staking` part of the API.


      The different available earn products are represented by earn strategies.
      This corresponds to the legacy `Staking/Assets`. `Stake`/`Unstake` are
      replaced by `Allocate`/`Deallocate`.


      ### Overview of the available endpoints under `/Earn`:


      - `Strategies` - list all earn strategies for which you are eligible or
      have a balance.

      - `Allocations` - lists the balance in your earn account for each
      strategy. Requires the `Query Funds` API key permission.

      - `Allocate`/`Deallocate` - allocate/deallocate to an earn strategy
      through an async operation. Requires the `Earn Funds` API key permission.

      - `AllocateStatus`/`DeallocateStatus` - verifies the state of the last
      allocation/deallocation. Requires the `Earn Funds` or `Query Funds` API
      key permission.


      ### Example usage:


      ### Determine which funds are earning rewards:


      1. Call `Strategies` to obtain information about the relevant strategy.
      The `lock_type` field shows whether bonding/unbonding funds are earning
      yield. The relevant fields are `bonding_rewards`/`unbonding_rewards`.

      2. Call `Allocations` for the relevant strategy. From the previous step,
      for strategies where bonding/unbonding does not earn yield, substract
      these balances from `amount_allocated.total` to determine which balances
      are currently earning.


      ### Get allocatable balance:


      Call `/0/private/BalanceEx`, subtract `hold_trading` amount. Remaining
      balance is available for allocation to a strategy.


      ### Geo restrictions:


      Some earn strategies are not available in all geographic regions.
      `Strategies` will return only strategies available to the caller.
  - name: Transparency
paths:
  /private/DepositAddresses:
    post:
      tags:
        - Funding
      summary: Get Deposit Addresses
      description: >
        Retrieve (or generate a new) deposit addresses for a particular asset
        and method.


        **API Key Permissions Required:** `Funds permissions - Query`
      operationId: getDepositAddresses
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/addresses'
      responses:
        '200':
          description: Deposit addresses retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/addresses-2'
components:
  schemas:
    addresses:
      required:
        - nonce
        - asset
        - method
      type: object
      properties:
        nonce:
          $ref: '#/components/schemas/nonce'
        asset:
          description: Asset being deposited
          type: string
        aclass:
          description: Asset class being deposited
          type: string
          enum:
            - currency
            - tokenized_asset
          default: currency
        method:
          description: Name of the deposit method
          type: string
        new:
          description: Whether or not to generate a new address
          type: boolean
          default: false
        amount:
          description: >-
            Amount you wish to deposit (only required for `method=Bitcoin
            Lightning`)
          oneOf:
            - type: string
              title: string
            - type: integer
              title: integer
            - type: number
              title: number
      example:
        nonce: 1695828271
        asset: XBT
        method: Bitcoin
        new: true
    addresses-2:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/address'
        error:
          $ref: '#/components/schemas/error'
      example:
        error: []
        result:
          - address: 2N9fRkx5JTWXWHmXzZtvhQsufvoYRMq9ExV
            expiretm: '0'
            new: true
          - address: 2NCpXUCEYr8ur9WXM1tAjZSem2w3aQeTcAo
            expiretm: '0'
            new: true
          - address: 2Myd4eaAW96ojk38A2uDK4FbioCayvkEgVq
            expiretm: '0'
          - address: rLHzPsX3oXdzU2qP17kHCH2G4csZv1rAJh
            expiretm: '0'
            new: true
            tag: '1361101127'
          - address: krakenkraken
            expiretm: '0'
            memo: '4150096490'
    nonce:
      description: Nonce used in construction of `API-Sign` header
      type: integer
      format: int64
    address:
      title: depositAddress
      description: Deposit Address
      type: object
      properties:
        address:
          description: Deposit Address
          type: string
        expiretm:
          description: Expiration time in unix timestamp, or 0 if not expiring
          type: string
        new:
          description: Whether or not address has ever been used
          type: boolean
        tag:
          description: >-
            Contains tags for
            [XRP](https://support.kraken.com/hc/en-us/articles/360000184443-Destination-Tag-for-Ripple-XRP-deposits)
            deposit addresses and memos for
            [STX](https://support.kraken.com/hc/en-us/articles/10902306995860-Memo-for-Stacks-STX-deposits),
            [XLM](https://support.kraken.com/hc/en-us/articles/360000184543-Memo-for-Stellar-Lumens-XLM-deposits),
            and
            [EOS](https://support.kraken.com/hc/en-us/articles/360001099203-Memo-for-EOS-deposits)
            deposit addresses
          type: string
    error:
      type: array
      items:
        description: Kraken API error
        type: string
        example: EGeneral:Invalid arguments
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header

````